# -*- rpm-spec -*-
# $Id: tcl-ldap,v 1.18 2005/04/16 14:17:02 me Exp $

%define srcname ldap
%define srcver 30

Name: tcl-%srcname
Version: 3.0
Release: alt8

Summary: LDAP extension to TCL
License: BSD
Group: Development/Tcl
Url: http://www.sensus.org/tcl

Source: %url/%srcname%srcver.tar.bz2
Patch0: %name-e2s.patch
Patch1: %name-libpath.patch
Patch2: %name-pkgndx.patch
Patch3: %name-oldap21.patch
Patch4: %name-fixinc.patch
Patch5: %name-tea3.patch.gz

BuildRequires: libldap-devel rpm-build >= 4.0.4-alt41 tcl-devel >= 8.4.0-alt1

%description
This extension provides a generic binding to LDAP, adding a single
command to the Tcl interpreter that dynamically creates session
command objects each time it is called. The resultant command can be
used to exercise the full range of the LDAP protocol, with the notable
exception of extended operations (a LDAP v3 feature).

%prep
%setup -q -n %srcname%srcver
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%add_optflags -DUSE_NON_CONST
cd unix
%__ln_s ../tdap.c tdap.c
%__aclocal
%__autoconf
%configure
%make_build

%install
%make_install install DESTDIR=%buildroot -C unix

%files
%_tcllibdir/lib%srcname%version.so
%_tcldatadir/%srcname%version/pkgIndex.tcl
%doc license.terms ldap.htm

%changelog
* Sat Apr 16 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt8
- rebuilt in new env

* Wed Nov  3 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt7
- rebuilt against new shiny tcl reqprov finder

* Sat Mar  6 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt6
- rebuilt in new env

* Sat Sep 27 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt5
- rebuilt against openldap 2.1.x

* Tue Sep 24 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 3.0-alt4
- rebuilt in new env

* Wed Jul 17 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 3.0-alt3
- rebuilt with new tcl layout

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.0-alt2
- Built with RPM_OPT_FLAGS.

* Mon Sep 24 2001 Sergey Bolshakov <s.bolshakov@belcaf.com> 3.0-alt1
- Initial build for ALT Linux distribution.

